
Infrastructure - Task #3092

Task # 3087 (Closed): Non-productions servers need to migrate to new commercial certificates 

Generate new DataONE client certificates for the non-production servers

2012-07-19 21:17 - Chris Jones

Status: Closed Start date: 2012-07-19

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Support Operations Estimated time: 0.00 hour

Target version: Sprint-2012.27-Block.4.2   

Milestone: None Story Points:  

Product Version: *   

Description

Since the domain names are changing for the non-production servers, we'll need new certificates generated with FQDN subjects for

both metacat replication, ldap, and openvpn.  These include:

cn-dev-ucsb-1.test.dataone.org.[crt|key]

cn-dev-orc-1.test.dataone.org.[crt|key]

cn-dev-unm-1.test.dataone.org.[crt|key]

cn-sandbox-ucsb-1.test.dataone.org.[crt|key]

cn-sandbox-orc-1.test.dataone.org.[crt|key]

cn-ssandbox-unm-1.test.dataone.org.[crt|key]

cn-stage-ucsb-1.test.dataone.org.[crt|key]

cn-stage-orc-1.test.dataone.org.[crt|key]

cn-stage-unm-1.test.dataone.org.[crt|key]

Dave, since Matt is out, will you give this a whirl? While we're at it, we may want to generate an intermediate CA cert and create

these certs from it as opposed to directly signing with the root test CA cert.  This will model the production environment more closely

and avoid the configuration issues we saw when moving to production.

History

#1 - 2012-07-23 15:15 - Chris Jones

- Assignee changed from Dave Vieglais to Matthew Jones

#2 - 2012-07-24 04:01 - Dave Vieglais

- Status changed from New to In Progress

- Assignee changed from Matthew Jones to Dave Vieglais

Created new intermediate CA for test.dataone.org, and generated certs for cn-dev-ucsb-1, cn-dev-unm-1, and cn-dev-orc-1.

Keys were placed in $HOME/keys, need root to access them.

Have not generated the node certs yet (i.e. urn:node:xxx)

#3 - 2012-07-30 21:29 - Dave Vieglais

- Status changed from In Progress to Closed
